调用DescribeClusterAddonsVersion查询指定集群安装的所有组件的信息。

调试

您可以在OpenAPI Explorer中直接运行该接口,免去您计算签名的困扰。运行成功后,OpenAPI Explorer可以自动生成SDK代码示例。

请求语法

GET /clusters/ClusterId/components/version HTTP/1.1 
Content-Type:application/json

请求参数

表 1. 请求Path参数
参数名称 类型 是否必选 示例 说明
ClusterId String c82e6987e2961451182edacd74faf****

集群ID。

响应体语法

HTTP/1.1 200
Content-Type:application/json
{
  "key" : {
    "component_name" : "String",
    "version" : "String",
    "next_version" : "String",
    "changed" : "String",
    "can_upgrade" : Boolean,
    "policy" : "String",
    "ready_to_upgrade" : "String",
    "exist" : Boolean,
    "required" : Boolean,
    "message" : "String",
    "value" : "String"
  }
}

响应参数

表 2. 响应Body参数
参数名称 类型 示例 说明
Map

返回体参数。

Object

组件详情。

component_name String ack-node-problem-detector

组件名称。

version String 1.2.1

组件当前版本。

说明 如果 version值不为空,则表示该组件已经安装。
next_version String 1.2.1

下一个可升级版本。

changed String false

组件是否有更新。取值:

  • true:已更新。
  • false:未更新。
can_upgrade Boolean false

组件是否可升级。取值:

  • true:组件可升级。
  • false:组件不可升级。
policy String overwrite

组件升级策略。

  • overwrite:强制覆盖。

默认值:overwrite

ready_to_upgrade String false

组件是否满足升级条件。取值:

  • true:满足升级条件。
  • false:不满足升级条件。
exist Boolean true

是否可以在集群中安装该组件。取值:

  • true:可安装。
  • false:不可安装。
required Boolean false

组件是否为集群必需组件。取值:

  • true:为必需组件。
  • false:非必需组件。
message String 节点故障检测以及上报至事件中心的插件

组件是否可升级的额外说明。

value String npd:\n # Custom monitor definitions to add to Node Problem Detector ****

组件安装时,用户自定义的参数值。

查询集群组件版本示例

请求示例

GET /clusters/c82e6987e2961451182edacd74faf****/components/version HTTP/1.1 
Content-Type:application/json

正常返回示例

XML格式

HTTP/1.1 200 OK
Content-Type:application/xml

<ack-node-problem-detector>
    <exist>true</exist>
    <component_name>ack-node-problem-detector</component_name>
    <can_upgrade>false</can_upgrade>
    <ready_to_upgrade>false</ready_to_upgrade>
    <message>节点故障检测以及上报至事件中心的插件</message>
    <version>1.2.1</version>
    <value>npd:
  # Custom monitor definitions to add to Node Problem Detector ****</value>
    <required>false</required>
    <next_version>1.2.1</next_version>
    <changed>false</changed>
    <policy>overwrite</policy>
</ack-node-problem-detector>

JSON格式

HTTP/1.1 200 OK
Content-Type:application/json

{
  "ack-node-problem-detector" : {
    "exist" : "true",
    "component_name" : "ack-node-problem-detector",
    "can_upgrade" : "false",
    "ready_to_upgrade" : "false",
    "message" : "节点故障检测以及上报至事件中心的插件",
    "version" : "1.2.1",
    "value" : "npd:\n  # Custom monitor definitions to add to Node Problem Detector ****",
    "required" : "false",
    "next_version" : "1.2.1",
    "changed" : "false",
    "policy" : "overwrite"
  }
}

错误码

访问错误中心查看更多错误码。